#указываем образ из которого будем брать все слои
FROM mcr.microsoft.com/dotnet/sdk:6.0 AS build-env 
#папка, с которой мы будем работать
WORKDIR /App
#копируем файл в рабочую дерикторию
COPY . ./
#запускаем команду 
RUN dotnet restore
RUN dotnet publish -c Release -o out

FROM mcr.microsoft.com/dotnet/aspnet:6.0
WORKDIR /App
#копирует не из файловой системы хоста, а из того, что собрали на прерыдущей стадии
COPY --from=build-env /App/out .
ENTRYPOINT ["dotnet", "worker-1.dll"]